%global rev 568

%if "%__isa_bits" == "64"
    %if "%__isa_name" == "x86"
        %global use_lib64 1
    %endif
    %if "%__isa_name" == "ppc"
        %global use_lib64 1
    %endif
    %if "%__isa_name" == "ia"
        %global use_lib64 1
    %endif
    %if "%__isa_name" == "s390"
        %global use_lib64 1
    %endif
    %if "%__isa_name" == "sparc"
        %global use_lib64 1
    %endif
%else
    %global use_lib64 0
%endif

Name:       granite
Version:    0.2.0
Release:    0.1.r%{rev}%{?dist}
Summary:    A development library for elementary development

Group:      System Environment/Libraries
License:    GPLv3
URL:        https://launchpad.net/granite
Source0:    https://launchpad.net/~elementary-os/+archive/daily/+files/%{name}_0.2.0~r%{rev}-0+pkg49~saucy1.tar.gz

BuildRequires:      cmake
BuildRequires:      vala
BuildRequires:      vala-tools
BuildRequires:      libgee06-devel
BuildRequires:      glib2-devel
BuildRequires:      gtk3-devel

%description
Demo applications for granite.


%package devel
Summary:    Development files for granite
Group:      Development/Libraries
Requires:   %{name} = %{version}
%description devel
Development files for granite.

%prep
%setup -q -n recipe-{debupstream}~r{revno}-0+pkg{revno:packaging}

%build
# libdir is hard coded into the CMake file
%if %{use_lib64} == 1
sed -i 's|install (TARGETS ${PKG_NAME} DESTINATION ${CMAKE_INSTALL_PREFIX}/lib)|install (TARGETS ${PKG_NAME} DESTINATION ${CMAKE_INSTALL_PREFIX}/lib64)|' lib/CMakeLists.txt
sed -i 's|install (FILES ${CMAKE_CURRENT_BINARY_DIR}/${PKG_NAME}.pc DESTINATION ${CMAKE_INSTALL_PREFIX}/lib/pkgconfig)|install (FILES ${CMAKE_CURRENT_BINARY_DIR}/${PKG_NAME}.pc DESTINATION ${CMAKE_INSTALL_PREFIX}/lib64/pkgconfig)|' lib/CMakeLists.txt
sed -i 's|libdir=@DOLLAR@{prefix}/lib|libdir=@DOLLAR@{prefix}/lib64|' lib/granite.pc.cmake
%endif

%cmake .
make %{?_smp_mflags}

%install
make install DESTDIR=%{buildroot}
%find_lang %{name}

%check
ctest

%post
/bin/touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :
ldconfig

%postun
if [ $1 -eq 0 ] ; then
    /bin/touch --no-create %{_datadir}/icons/hicolor &>/dev/null
    /usr/bin/gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi
ldconfig

%posttrans
/usr/bin/gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :

%files -f %{name}.lang
%doc README COPYING AUTHORS
%{_bindir}/%{name}-demo
%{_datadir}/icons/hicolor/*
%doc README COPYING
%{_libdir}/lib%{name}.so.1
%{_libdir}/lib%{name}.so.1.0.1

%files devel
%doc README COPYING
%{_libdir}/lib%{name}.so
%{_libdir}/pkgconfig/%{name}.pc
%{_includedir}/%{name}
%{_datadir}/vala/vapi/%{name}.deps
%{_datadir}/vala/vapi/%{name}.vapi

%changelog
* Thu May 23 2013 Wesley Hearn <whearn@redhat.com> - 0.2.0-0.1.r568
- Initial Package
